Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-R
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%bcond_with check
%bcond_with bootstrap

%global packname bit
%global packver  4.0.4
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          4.0.4
Release:          alt9_12
Summary:          Classes and Methods for Fast Memory-Efficient Boolean Selections

License:          GPLv2 or GPLv3
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:
# Suggests:  R-testthat >= 0.11.0, R-roxygen2, R-knitr, R-rmarkdown, R-microbenchmark, R-bit64 >= 4.0.0, R-ff >= 4.0.0
# LinkingTo:
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
%if %{with check}
BuildRequires:    R-testthat >= 0.11.0
BuildRequires:    R-roxygen2
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
BuildRequires:    R-microbenchmark
%if %{without bootstrap}
BuildRequires:    R-bit64 >= 4.0.0
BuildRequires:    R-ff >= 4.0.0
%endif
%endif
BuildRequires:    tex(framed.sty)
Source44: import.info
ExcludeArch: %R_exclude_arches

%description
Provided are classes for boolean and skewed boolean vectors, fast boolean
methods, fast unique and non-unique integer sorting, fast set operations on
sorted and unsorted sets of integers, and foundations for ff (range index,
compression, chunked processing).


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with check}
%if %{with bootstrap}
export _R_CHECK_FORCE_SUGGESTS_=0
%endif
%{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt9_12
- update to new release by fcimport

* Thu Oct 05 2023 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt9_10
- update

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt9_8
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt9_6
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt9_5
- update to new release by fcimport

* Fri May 06 2022 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt8_5
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt7_5
- update to new release by fcimport

* Wed Dec 01 2021 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt7_4
- update to new release by fcimport

* Wed Oct 27 2021 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt6_4
- update

* Thu Oct 21 2021 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt5_4
- update to new release by fcimport

* Wed Oct 13 2021 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt4_4
- update to new release by fcimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt3_4
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt2_4
- update to new release by fcimport

* Sun Jul 25 2021 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt2_3
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 4.0.4-alt1_3
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.15.2-alt1_2
- update to new release by fcimport

* Thu Apr 09 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.15.2-alt1_1
- update to new release by fcimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.14-alt1_4
- new version

